var btnGetChannel = document.getElementById('getchannelid'),
    statusChannel = document.getElementById('channelid'),
    messages = document.getElementById('messages');

btnGetChannel.addEventListener('click', function () {
    //try to get the channel ID without prompting first
    chrome.pushMessaging.getChannelId(false, function (channel) {
        if (!channel || !channel.channelId) {
            statusChannel.innerHTML = 'You need to sign in to Google. Click <a href="" id="getchannelid2">here</a> to continue.';
            bindInteractive();
        } else {
            statusChannel.innerHTML = channel.channelId;
        }
    });
}, false);

function bindInteractive() {
    var btnGetChannel2 = document.getElementById('getchannelid2');

    btnGetChannel2.addEventListener('click', function () {
        chrome.pushMessaging.getChannelId(true, function (channel) {
            console.log(channel);
        });
    }, false);
}

function log(msg) {
    var child = document.createElement('div');

    child.innerHTML = msg;
    messages.insertBefore(child, messages.firstChild);
}

chrome.pushMessaging.onMessage.addListener(function (msg) {
    console.log(msg);
    log(msg.payload);
});

